Search results

Editing in JavaScript (ES5) Spreadsheet control

06 Jun 2023 / 3 minutes to read

You can edit the contents of a cell directly in the cell or by typing in the formula bar. By default, the editing feature is enabled in the spreadsheet. Use the allowEditing property to enable or disable the editing feature.

Edit cell

You can start editing by one of the following ways,

  • Double click a cell to start the edit mode.
  • Press F2 key to edit the active cell.
  • Use formula bar to perform editing.
  • Use BACKSPACE or SPACE key to clear the cell content and start the edit mode.
  • Using the startEdit method.

Save cell

If the cell is in editable state, you can save the edited cell by one of the following ways,

  • Perform mouse click on any other cell rather than the current editing cell.
  • Press Enter or Tab keys to save the edited cell content.
  • Using the endEdit method.

Cancel editing

To cancel the editing without saving the changes, you can use one of the following ways,

  • Press ESCAPE key, this will remove the editable state and update the unchanged cell content.
  • Using the closeEdit method.

The following sample shows how to prevent the editing and cell save. Here E column prevent the editing by using cancel argument as true in cellEdit event. In D column, prevent saving the edited changes by using cancel argument as true in beforeCellSave and use closeEdit method in spreadsheet.

Source
Preview
index.js
index.html
Copied to clipboard
ej.base.enableRipple(true);

var columns =  [{ width: 120 }, { width: 180 }, { width: 100 }, { width: 120 }, { width: 120 }];

var rows = [{
    index: 10, cells: [{ index: 3, value: 'Total Amount:', style: { fontWeight: 'bold' } }, { formula: '=SUM(E2:E10)' }]
}];

var sheets = [{ ranges: [{ dataSource: data }], columns: columns, selectedRange: 'E11', rows: rows }];

var spreadsheet = new ej.spreadsheet.Spreadsheet({
    sheets: sheets,
    created: function () {
        spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
        spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A10');
        spreadsheet.cellFormat({ textAlign: 'center' }, 'C2:C10');
        spreadsheet.numberFormat('$#,##0.00', 'D2:D10');
        spreadsheet.numberFormat('$#,##0.00', 'E2:E11');

        // Manually starting the editable state using `startEdit` method in `C7`(current active) cell.
        spreadsheet.startEdit();
    },
    // Triggers before going to editing mode.
    cellEdit: function (args) {
        // Preventing the editing in 5th(Amount) column.
        if (args.address.includes('E')) { args.cancel = true; }
    },
    // Trigger before saving the edited cell content.
    beforeCellSave: function (args) {
        // Prevent saving the edited changes in 4th(Rate) column.
        if (args.address.includes('D')) {
            args.cancel = true;
            // Maually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
            spreadsheet.closeEdit();
        }
    },
    showSheetTabs: false, showRibbon: false
});

spreadsheet.appendTo('#spreadsheet');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
        <title>EJ2 SpreadSheet</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Typescript UI Controls">
        <meta name="author" content="Syncfusion">
        <link rel="shortcut icon" href="resources/favicon.ico">
        <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-base/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-inputs/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-buttons/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-splitbuttons/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-lists/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-navigations/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-popups/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-dropdowns/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-grids/styles/material.css" rel="stylesheet">
        <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-spreadsheet/styles/material.css" rel="stylesheet">
        <link href="styles.css" rel="stylesheet">
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/shim.min.js"></script>
        <script src="system.config.js"></script>
        <script src="es5-datasource.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
        <!--Element which is going to render-->
        
        <div id="container">
                <div id="spreadsheet"></div>
        </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Limitations

  • Text overflow in cells is not supported in Editing.

See Also

Editing in Angular Spreadsheet component

27 Apr 20247 minutes to read

You can edit the contents of a cell directly in the cell or by typing in the formula bar. By default, the editing feature is enabled in the spreadsheet. Use the allowEditing property to enable or disable the editing feature.

Edit cell

You can start editing by one of the following ways,

  • Double click a cell to start the edit mode.
  • Press F2 key to edit the active cell.
  • Use formula bar to perform editing.
  • Use BACKSPACE or SPACE key to clear the cell content and start the edit mode.
  • Using the startEdit method.

Save cell

If the cell is in editable state, you can save the edited cell by one of the following ways,

  • Perform mouse click on any other cell rather than the current editing cell.
  • Press Enter or Tab keys to save the edited cell content.
  • Using the endEdit method.

Cancel editing

To cancel the editing without saving the changes, you can use one of the following ways,

  • Press ESCAPE key, this will remove the editable state and update the unchanged cell content.
  • Using the closeEdit method.

The following sample shows how to prevent the editing and cell save. Here E column prevent the editing by using cancel argument as true in cellEdit event. In D column, prevent saving the edited changes by using cancel argument as true in beforeCellSave and use closeEdit method in spreadsheet.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SpreadsheetAllModule } from '@syncfusion/ej2-angular-spreadsheet'



import { Component, ViewChild } from '@angular/core';
import { SpreadsheetComponent, CellEditEventArgs } from '@syncfusion/ej2-angular-spreadsheet';
import { enableRipple } from '@syncfusion/ej2-base';
import { dataSource } from './datasource';

enableRipple(true);

@Component({
imports: [
        
        SpreadsheetAllModule
    ],


standalone: true,
    selector: 'app-container',
    template: `<ejs-spreadsheet #spreadsheet (created)="created()" (cellEdit)="cellEdit($event)" (beforeCellSave)="beforeCellSave($event)" [showSheetTabs]="false" [showRibbon]="false">
                <e-sheets>
                  <e-sheet selectedRange="E11">
                    <e-ranges>
                      <e-range [dataSource]="data"></e-range>
                    </e-ranges>
                    <e-columns>
                      <e-column [width]=120></e-column>
                      <e-column [width]=180></e-column>
                      <e-column [width]=100></e-column>
                      <e-column [width]=120></e-column>
                      <e-column [width]=120></e-column>
                    </e-columns>
                    <e-rows>
                      <e-row [index]=10>
                        <e-cells>
                          <e-cell [index]=3 value="Total Amount:" [style]="{ fontWeight: 'bold' }"></e-cell>
                          <e-cell formula="=SUM(E2:E10)"></e-cell>
                        </e-cells>
                      </e-row>
                    </e-rows>
                  </e-sheet>
                </e-sheets>
              </ejs-spreadsheet>`
})
export class AppComponent {
    @ViewChild('spreadsheet')
    spreadsheetObj: SpreadsheetComponent | undefined;

    data: object[] = dataSource;

    created() {
        this.spreadsheetObj!.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
        this.spreadsheetObj!.cellFormat({ textAlign: 'center' }, 'A2:A10');
        this.spreadsheetObj!.cellFormat({ textAlign: 'center' }, 'C2:C10');
        this.spreadsheetObj!.numberFormat('$#,##0.00', 'D2:D10');
        this.spreadsheetObj!.numberFormat('$#,##0.00', 'E2:E11');
    }

    // Triggers before going to the editing mode.
    cellEdit(args: CellEditEventArgs): void {
        // Preventing the editing in 5th(Amount) column.
        if (args.address.includes('E')) { args.cancel = true; }
    }

    // Trigger before saving the edited cell content.
    beforeCellSave(args: CellEditEventArgs): void {
        // Prevent saving the edited changes in 4th(Rate) column.
        if (args.address.includes('D')) {
            args.cancel = true;
            // Manually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
            this.spreadsheetObj!.closeEdit();
        }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Limitations

  • Text overflow in cells is not supported in Editing.

Note

You can refer to our Angular Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our Angular Spreadsheet example to knows how to present and manipulate data.

See Also

Editing in Vue Spreadsheet component

11 Jun 202410 minutes to read

You can edit the contents of a cell directly in the cell or by typing in the formula bar. By default, the editing feature is enabled in the spreadsheet. Use the allowEditing property to enable or disable the editing feature.

Edit cell

You can start editing by one of the following ways,

  • Double click a cell to start the edit mode.
  • Press F2 key to edit the active cell.
  • Use formula bar to perform editing.
  • Use BACKSPACE or SPACE key to clear the cell content and start the edit mode.
  • Using the startEdit method.

Save cell

If the cell is in editable state, you can save the edited cell by one of the following ways,

  • Perform mouse click on any other cell rather than the current editing cell.
  • Press Enter or Tab keys to save the edited cell content.
  • Using the endEdit method.

Cancel editing

To cancel the editing without saving the changes, you can use one of the following ways,

  • Press ESCAPE key, this will remove the editable state and update the unchanged cell content.
  • Using the closeEdit method.

The following sample shows how to prevent the editing and cell save. Here E column prevent the editing by using cancel argument as true in cellEdit event. In D column, prevent saving the edited changes by using cancel argument as true in beforeCellSave and use closeEdit method in spreadsheet.

<template>
  <ejs-spreadsheet ref="spreadsheet" :created="created" :showFormulaBar="false" :cellEdit="cellEdit"
    :beforeCellSave="beforeCellSave">
    <e-sheets>
      <e-sheet selectedRange="E11">
        <e-ranges>
          <e-range :dataSource="dataSource"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width=120></e-column>
          <e-column :width=180></e-column>
          <e-column :width=100></e-column>
          <e-column :width=120></e-column>
          <e-column :width=120></e-column>
        </e-columns>
        <e-rows>
          <e-row index="10">
            <e-cells>
              <e-cell index="3" value="Total Amount:" style="fontStyle"></e-cell>
              <e-cell formula="=SUM(E2:E10)"></e-cell>
            </e-cells>
          </e-row>
        </e-rows>
      </e-sheet>
    </e-sheets>
  </ejs-spreadsheet>
</template>

<script setup>
import { ref } from "vue";
import { SpreadsheetComponent as EjsSpreadsheet, ColumnsDirective as EColumns, ColumnDirective as EColumn, RowsDirective as ERows, RowDirective as ERow, CellsDirective as ECells, CellDirective as ECell, RangesDirective as ERanges, RangeDirective as ERange, SheetsDirective as ESheets, SheetDirective as ESheet } from "@syncfusion/ej2-vue-spreadsheet";
import { data } from './data.js';

const spreadsheet = ref(null);
const dataSource = data;
const fontStyle = { fontWeight: 'bold' };

const created = function () {
  spreadsheet.value.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
  spreadsheet.value.cellFormat({ textAlign: 'center' }, 'A2:A10');
  spreadsheet.value.cellFormat({ textAlign: 'center' }, 'C2:C10');
  spreadsheet.value.numberFormat('$#,##0.00', 'D2:D10');
  spreadsheet.value.numberFormat('$#,##0.00', 'E2:E11');
}
const cellEdit = function (args) {
  // Preventing the editing in 5th(Amount) column.
  if (args.address.includes('E')) { args.cancel = true; }
}
const beforeCellSave = function (args) {
  // Prevent saving the edited changes in 4th(Rate) column.
  if (args.address.includes('D')) {
    args.cancel = true;
    // Manually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
    spreadsheet.value.closeEdit();
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/material.css";
</style>
<template>
  <ejs-spreadsheet ref="spreadsheet" :created="created" :showFormulaBar="false" :cellEdit="cellEdit"
    :beforeCellSave="beforeCellSave">
    <e-sheets>
      <e-sheet selectedRange="E11">
        <e-ranges>
          <e-range :dataSource="dataSource"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width=120></e-column>
          <e-column :width=180></e-column>
          <e-column :width=100></e-column>
          <e-column :width=120></e-column>
          <e-column :width=120></e-column>
        </e-columns>
        <e-rows>
          <e-row index="10">
            <e-cells>
              <e-cell index="3" value="Total Amount:" style="fontStyle"></e-cell>
              <e-cell formula="=SUM(E2:E10)"></e-cell>
            </e-cells>
          </e-row>
        </e-rows>
      </e-sheet>
    </e-sheets>
  </ejs-spreadsheet>
</template>

<script>

import { SpreadsheetComponent, ColumnsDirective, ColumnDirective, RowsDirective, RowDirective, CellsDirective, CellDirective, RangesDirective, RangeDirective, SheetsDirective, SheetDirective } from "@syncfusion/ej2-vue-spreadsheet";
import { data } from './data.js';

export default {
  name: "App",
  components: {
    "ejs-spreadsheet": SpreadsheetComponent,
    "e-sheets": SheetsDirective,
    "e-sheet": SheetDirective,
    "e-ranges": RangesDirective,
    "e-range": RangeDirective,
    "e-columns": ColumnsDirective,
    "e-column": ColumnDirective,
    "e-rows": RowsDirective,
    "e-row": RowDirective,
    "e-cells": CellsDirective,
    "e-cell": CellDirective
  },

  data: () => {
    return {
      dataSource: data,
      fontStyle: { fontWeight: 'bold' }
    }
  },
  methods: {
    created: function () {
      let spreadsheet = this.$refs.spreadsheet;
      spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
      spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A10');
      spreadsheet.cellFormat({ textAlign: 'center' }, 'C2:C10');
      spreadsheet.numberFormat('$#,##0.00', 'D2:D10');
      spreadsheet.numberFormat('$#,##0.00', 'E2:E11');
    },
    cellEdit: function (args) {
      // Preventing the editing in 5th(Amount) column.
      if (args.address.includes('E')) { args.cancel = true; }
    },
    beforeCellSave: function (args) {
      let spreadsheet = this.$refs.spreadsheet;
      // Prevent saving the edited changes in 4th(Rate) column.
      if (args.address.includes('D')) {
        args.cancel = true;
        // Manually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
        spreadsheet.closeEdit();
      }
    }
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/material.css";
</style>

Limitations

  • Text overflow in cells is not supported in Editing.

Note

You can refer to our Vue Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our Vue Spreadsheet example to knows how to present and manipulate data.

See Also

Editing in React Spreadsheet component

19 Jan 202424 minutes to read

You can edit the contents of a cell directly in the cell or by typing in the formula bar. By default, the editing feature is enabled in the spreadsheet. Use the allowEditing property to enable or disable the editing feature.

To get start quickly with Editing, you can check on this video:

Edit cell

You can start editing by one of the following ways,

  • Double click a cell to start the edit mode.
  • Press F2 key to edit the active cell.
  • Use formula bar to perform editing.
  • Use BACKSPACE or SPACE key to clear the cell content and start the edit mode.
  • Using the startEdit method.

Save cell

If the cell is in editable state, you can save the edited cell by one of the following ways,

  • Perform mouse click on any other cell rather than the current editing cell.
  • Press Enter or Tab keys to save the edited cell content.
  • Using the endEdit method.

Cancel editing

To cancel the editing without saving the changes, you can use one of the following ways,

  • Press ESCAPE key, this will remove the editable state and update the unchanged cell content.
  • Using the closeEdit method.

The following sample shows how to prevent the editing and cell save. Here E column prevent the editing by using cancel argument as true in cellEdit event. In D column, prevent saving the edited changes by using cancel argument as true in beforeCellSave and use closeEdit method in spreadsheet.

import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, RangesDirective, RowsDirective, RowDirective, CellDirective, CellsDirective } from '@syncfusion/ej2-react-spreadsheet';
import { RangeDirective, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-spreadsheet';
import { data } from './datasource';

function App() {
    const spreadsheetRef = React.useRef(null);
    React.useEffect(() => {
        let spreadsheet = spreadsheetRef.current;
        if (spreadsheet) {
            spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
            spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A10');
            spreadsheet.cellFormat({ textAlign: 'center' }, 'C2:C10');
            spreadsheet.numberFormat('$#,##0.00', 'D2:D10');
            spreadsheet.numberFormat('$#,##0.00', 'E2:E11');
        }
    }, []);

    // Triggers before going to the editing mode.
    const onCellEdit = (args) => {
        // Preventing the editing in 5th(Amount) column.
        if (args.address.includes('E')) { args.cancel = true; }
    };
    // Trigger before saving the edited cell content.
    const onBeforeCellSave = (args) => {
        // Prevent saving the edited changes in 4th(Rate) column.
        if (args.address.includes('D')) {
            args.cancel = true;
            // Manually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
            let spreadsheet = spreadsheetRef.current;
            if (spreadsheet) {
                spreadsheet.closeEdit();
            }
        }
    };

    return (
        <div>
            <SpreadsheetComponent ref={spreadsheetRef} showSheetTabs={false} cellEdit={onCellEdit} beforeCellSave={onBeforeCellSave} >
                <SheetsDirective>
                    <SheetDirective selectedRange={"C7"}>
                        <RowsDirective>
                            <RowDirective index={10}>
                                <CellsDirective>
                                    <CellDirective index={3} value={'Total Amount'} style={{ fontWeight: 'bold' }}></CellDirective>
                                    <CellDirective formula={'=SUM(E2:E10'}>
                                    </CellDirective>
                                </CellsDirective>
                            </RowDirective>
                        </RowsDirective>
                        <RangesDirective>
                            <RangeDirective dataSource={data}></RangeDirective>
                        </RangesDirective>
                        <ColumnsDirective>
                            <ColumnDirective width={120} index={1}></ColumnDirective>
                            <ColumnDirective width={180}></ColumnDirective>
                            <ColumnDirective width={100}></ColumnDirective>
                            <ColumnDirective width={120}></ColumnDirective>
                            <ColumnDirective width={120}></ColumnDirective>
                        </ColumnsDirective>
                    </SheetDirective>
                </SheetsDirective>
            </SpreadsheetComponent>
        </div>
    );
};
export default App;

const root = createRoot(document.getElementById('root'));
root.render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, RangesDirective, RowsDirective, RowDirective, CellDirective, CellsDirective, CellEditEventArgs } from '@syncfusion/ej2-react-spreadsheet';
import { RangeDirective, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-spreadsheet';
import { data } from './datasource';

function App() {
    const spreadsheetRef = React.useRef<SpreadsheetComponent>(null);
    React.useEffect(() => {
        let spreadsheet = spreadsheetRef.current;
        if (spreadsheet) {
            spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:E1');
            spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A10');
            spreadsheet.cellFormat({ textAlign: 'center' }, 'C2:C10');
            spreadsheet.numberFormat('$#,##0.00', 'D2:D10');
            spreadsheet.numberFormat('$#,##0.00', 'E2:E11');
        }
    }, []);

    // Triggers before going to the editing mode.
    const onCellEdit = (args: CellEditEventArgs): void => {
        // Preventing the editing in 5th(Amount) column.
        if (args.address.includes('E')) { args.cancel = true; }
    };
    // Trigger before saving the edited cell content.
    const onBeforeCellSave = (args: CellEditEventArgs): void => {
        // Prevent saving the edited changes in 4th(Rate) column.
        if (args.address.includes('D')) {
            args.cancel = true;
            // Manually removes the editable state without saving the changes. Use `endEdit` method if you want to save the changes.
            let spreadsheet = spreadsheetRef.current;
            if (spreadsheet) {
                spreadsheet.closeEdit();
            }   
        }
    };

    return (
        <div>
            <SpreadsheetComponent ref={spreadsheetRef} showSheetTabs={false} cellEdit={onCellEdit} beforeCellSave={onBeforeCellSave} >
                <SheetsDirective>
                    <SheetDirective selectedRange={"C7"}>
                        <RowsDirective>
                            <RowDirective index={10}>
                                <CellsDirective>
                                    <CellDirective index={3} value={'Total Amount'} style={{ fontWeight: 'bold' }}></CellDirective>
                                    <CellDirective formula={'=SUM(E2:E10'}>
                                    </CellDirective>
                                </CellsDirective>
                            </RowDirective>
                        </RowsDirective>
                        <RangesDirective>
                            <RangeDirective dataSource={data}></RangeDirective>
                        </RangesDirective>
                        <ColumnsDirective>
                            <ColumnDirective width={120} index={1}></ColumnDirective>
                            <ColumnDirective width={180}></ColumnDirective>
                            <ColumnDirective width={100}></ColumnDirective>
                            <ColumnDirective width={120}></ColumnDirective>
                            <ColumnDirective width={120}></ColumnDirective>
                        </ColumnsDirective>
                    </SheetDirective>
                </SheetsDirective>
            </SpreadsheetComponent>
        </div>
    );
};
export default App;

const root = createRoot(document.getElementById('root')!);
root.render(<App />);
/**
 * Editing data source
 */
export let data = [
    {
        'Item Code': 'I231',
        'Item Name': 'Chinese Combo Noodle',
        'Quantity': 2,
        'Rate': 125,
        'Amount': '=PRODUCT(C2,D2)'
    },
    {
        'Item Code': 'I245',
        'Item Name': 'Chinese Combo Rice',
        'Quantity': 3,
        'Rate': 125,
        'Amount': '=PRODUCT(C3,D3)'
    },
    {
        'Item Code': 'I237',
        'Item Name': 'Amritsari Chola',
        'Quantity': 2,
        'Rate': 225,
        'Amount': '=PRODUCT(C4,D4)'
    },
    {
        'Item Code': 'I291',
        'Item Name': 'Asian Mixed Entree Platt',
        'Quantity': 3,
        'Rate': 165,
        'Amount': '=PRODUCT(C5,D5)'
    },
    {
        'Item Code': 'I268',
        'Item Name': 'Chinese Combo Chicken',
        'Quantity': 3,
        'Rate': 125,
        'Amount': '=PRODUCT(C6,D6)'
    },
    {
        'Item Code': 'I251',
        'Item Name': 'Chivas Regal',
        'Quantity': 1,
        'Rate': 325,
        'Amount': '=PRODUCT(C7,D7)'
    },
    {
        'Item Code': 'I256',
        'Item Name': 'Chicken Drumsticks',
        'Quantity': 2,
        'Rate': 180,
        'Amount': '=PRODUCT(C8,D8)'
    },
    {
        'Item Code': 'I232',
        'Item Name': 'Manchow Soup',
        'Quantity': 2,
        'Rate': 160,
        'Amount': '=PRODUCT(C9,D9)'
    },
    {
        'Item Code': 'I290',
        'Item Name': 'Schezuan Chicken',
        'Quantity': 3,
        'Rate': 180,
        'Amount': '=PRODUCT(C10,D10)'
    }
];
/**
 * Editing data source
 */
export let data: Object[] = [
    {
        'Item Code': 'I231',
        'Item Name': 'Chinese Combo Noodle',
        'Quantity': 2,
        'Rate': 125,
        'Amount': '=PRODUCT(C2,D2)'
    },
    {
        'Item Code': 'I245',
        'Item Name': 'Chinese Combo Rice',
        'Quantity': 3,
        'Rate': 125,
        'Amount': '=PRODUCT(C3,D3)'
    },
    {
        'Item Code': 'I237',
        'Item Name': 'Amritsari Chola',
        'Quantity': 2,
        'Rate': 225,
        'Amount': '=PRODUCT(C4,D4)'
    },
    {
        'Item Code': 'I291',
        'Item Name': 'Asian Mixed Entree Platt',
        'Quantity': 3,
        'Rate': 165,
        'Amount': '=PRODUCT(C5,D5)'
    },
    {
        'Item Code': 'I268',
        'Item Name': 'Chinese Combo Chicken',
        'Quantity': 3,
        'Rate': 125,
        'Amount': '=PRODUCT(C6,D6)'
    },
    {
        'Item Code': 'I251',
        'Item Name': 'Chivas Regal',
        'Quantity': 1,
        'Rate': 325,
        'Amount': '=PRODUCT(C7,D7)'
    },
    {
        'Item Code': 'I256',
        'Item Name': 'Chicken Drumsticks',
        'Quantity': 2,
        'Rate': 180,
        'Amount': '=PRODUCT(C8,D8)'
    },
    {
        'Item Code': 'I232',
        'Item Name': 'Manchow Soup',
        'Quantity': 2,
        'Rate': 160,
        'Amount': '=PRODUCT(C9,D9)'
    },
    {
        'Item Code': 'I290',
        'Item Name': 'Schezuan Chicken',
        'Quantity': 3,
        'Rate': 180,
        'Amount': '=PRODUCT(C10,D10)'
    }
];

Limitations

  • Text overflow in cells is not supported in Editing.

Note

You can refer to our React Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our React Spreadsheet example to knows how to present and manipulate data.

See Also